# Generated from dm_panlex-0.2.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name dm_panlex

Name: rubygem-%{gem_name}
Version: 0.2.2
Release: 1%{?dist}
Summary: Data mapper models for the Panlex database
License: GPL3
URL: https://github.com/laMarciana/dm_panlex/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.11
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(dm-rspec) >= 0.2
# BuildRequires: rubygem(dm-rspec) < 1
BuildArch: noarch

%description
https://github.com/laMarciana/dm_panlex/.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/COPYING.txt
%{gem_libdir}
%{gem_instdir}/panlex-db-design.pdf
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/dm_panlex.gemspec
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.2.2-1
- Initial package
